org.mozilla.javascript

## Enum TopLevel.Builtins

- java.lang.Object
- - java.lang.Enum<TopLevel.Builtins>
  - - org.mozilla.javascript.TopLevel.Builtins

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TopLevel.Builtins>

Enclosing class:
  TopLevel

    public static enum TopLevel.Builtins
    extends java.lang.Enum<TopLevel.Builtins>

An enumeration of built-in ECMAScript objects.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Array` The built-in Array type.
`Boolean` The built-in Boolean type.
`Error` The built-in Error type.
`Function` The built-in Function type.
`Number` The built-in Number type.
`Object` The built-in Object type.
`RegExp` The built-in RegExp type.
`String` The built-in String type.

### Method Summary

Methods
`static TopLevel.Builtins` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TopLevel.Builtins[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Object

    public static final TopLevel.Builtins Object

The built-in Object type.

#### Array

    public static final TopLevel.Builtins Array

The built-in Array type.

#### Function

    public static final TopLevel.Builtins Function

The built-in Function type.

#### String

    public static final TopLevel.Builtins String

The built-in String type.

#### Number

    public static final TopLevel.Builtins Number

The built-in Number type.

#### Boolean

    public static final TopLevel.Builtins Boolean

The built-in Boolean type.

#### RegExp

    public static final TopLevel.Builtins RegExp

The built-in RegExp type.

#### Error

    public static final TopLevel.Builtins Error

The built-in Error type.

### Method Detail

#### values

    public static TopLevel.Builtins[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TopLevel.Builtins c : TopLevel.Builtins.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TopLevel.Builtins valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null